std::extreme_value_distribution::operator()(3)

NAME
std::extreme_value_distribution::operator() - std::extreme_value_distribution::operator()

Synopsis
   template< class Generator > (1) (since C++11)
   result_type operator()( Generator& g );
   template< class Generator > (2) (since C++11)
   result_type operator()( Generator& g, const param_type& params );
   Generates random numbers that are distributed according to the associated
   probability function. The entropy is acquired by calling g.operator().
   The first version uses the associated parameter set, the second version uses params.
   The associated parameter set is not modified.

Parameters
   g - an uniform random bit generator object
   params - distribution parameter set to use instead of the associated one

Type requirements
   -
   Generator must meet the requirements of UniformRandomBitGenerator.

Return value
   The generated random number.

Complexity
   Amortized constant number of invocations of g.operator().